uniform sampler2D image;
uniform int pass;
varying vec2 uv;

void main(void)
{
  vec2 d, kern;
  vec4 sample;
  d = vec2(1.0/800.0/2.0, 1.0/600.0/2.0);
  sample = vec4(0);
  if (pass != 0)
    kern = vec2(d.x, 0.0);  // 8x2 kernel
  else
    kern = vec2(0.0, d.y);  // 2x8 kernel
  sample += texture2D(image, uv - 3.0 * kern);
  sample += texture2D(image, uv -       kern);
  sample += texture2D(image, uv +       kern);
  sample += texture2D(image, uv + 3.0 * kern);
  sample /= 4.0;
  gl_FragColor = sample;
}
